package com.inkasso.factoring.system.resource.enums;

import lombok.Getter;

/**
 * 该枚举 主要是为了 判断 用户是否有某些 特殊功能的权限
 */
@Getter
public enum ResourceEnum {

    /**
     * 只有 卡服宝 这个租户 才有的 特殊资源权限 其他租户在调用该接口的时候 肯定会报错
     */
    CAR_MANAGE_CHECK("车辆管理-审核","car_manage_check"),

    /**
     * 拥有该权限的人 可以看到保险查询中 租户的数据
     */
    INSURE_SEARCH_TENANT_DATA("出险查询-租户数据","insure_search_tenant_data"),

    /**
     * 有用该权限的人 可以看到车辆评估中 租户的数据
     */
    CAR_ASSESSMENT_TENANT_DATA("车辆评估-租户数据","car_assessment_tenant_data"),

    /**
     * 有该权限的人 可以看到车辆管理中 租户的数据
     */
    CAR_MANAGE_TENANT_DATA("车辆管理-租户数据","car_manage_tenant_data");

    private String name;

    private String  code;

    ResourceEnum(String name,String code){
       this.name = name;
       this.code = code;
    }

}
